# pointpos_api.model.Item

## Load the model package
```dart
import 'package:pointpos_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [optional] [readonly] [default to null]
**name** | **String** |  | [default to null]
**categoryId** | **num** |  | [default to null]
**outletId** | **String** |  | [default to null]
**images** | [**List&lt;Image&gt;**](Image.md) |  | [optional] [readonly] [default to const []]
**variants** | [**List&lt;UpdateItemVariants&gt;**](UpdateItemVariants.md) |  | [default to const []]
**inventory** | [**List&lt;ItemAllOfInventory&gt;**](ItemAllOfInventory.md) |  | [default to const []]
**costOfGoodsSold** | [**List&lt;UpdateItemCostOfGoodsSold&gt;**](UpdateItemCostOfGoodsSold.md) |  | [default to const []]
**description** | **String** |  | [optional] [default to null]
**createdAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**createdBy** | **String** |  | [optional] [readonly] [default to null]
**updatedAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**updatedBy** | **String** |  | [optional] [readonly] [default to null]
**deleted** | **bool** |  | [optional] [readonly] [default to false]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


