# pointpos_api.model.Promo

## Load the model package
```dart
import 'package:pointpos_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [optional] [readonly] [default to null]
**name** | **String** |  | [default to null]
**promoType** | **String** |  | [default to null]
**assignedOutlets** | **List&lt;String&gt;** |  | [default to const []]
**requirement** | [**PromoRequirement**](PromoRequirement.md) |  | [default to null]
**reward** | [**PromoReward**](PromoReward.md) |  | [default to null]
**allowMultiple** | **bool** |  | [default to null]
**promoPeriod** | [**PromoPromoPeriod**](PromoPromoPeriod.md) |  | [default to null]
**createdAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**createdBy** | **String** |  | [optional] [readonly] [default to null]
**updatedAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**updatedBy** | **String** |  | [optional] [readonly] [default to null]
**deleted** | **bool** |  | [optional] [default to false]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


