import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/adjustment_stock_items.dart';

part 'adjustment_stock.jser.dart';

class AdjustmentStock {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('outletId', isNullable: false,  )
  final String outletId;
  
  @Alias('note', isNullable: false,  )
  final String note;
  
  @Alias('items', isNullable: false,  )
  final List<AdjustmentStockItems> items;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  AdjustmentStock(
      

{
     this.id = null,  
    
     this.outletId = null,   this.note = null,  
    
     this.items = const [],   this.createdAt = null,  
     this.createdBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'AdjustmentStock[id=$id, outletId=$outletId, note=$note, items=$items, createdAt=$createdAt, createdBy=$createdBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class AdjustmentStockSerializer extends Serializer<AdjustmentStock> with _$AdjustmentStockSerializer {

}

