import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'change_password.jser.dart';

class ChangePassword {
  
  @Alias('currentPassword', isNullable: false,  )
  final String currentPassword;
  
  @Alias('newPassword', isNullable: false,  )
  final String newPassword;
  

  ChangePassword(
      

{
    
     this.currentPassword = null,  
     this.newPassword = null 
    }
  );

  @override
  String toString() {
    return 'ChangePassword[currentPassword=$currentPassword, newPassword=$newPassword, ]';
  }
}

@GenSerializer(nullableFields: true)
class ChangePasswordSerializer extends Serializer<ChangePassword> with _$ChangePasswordSerializer {

}

