import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'customer.jser.dart';

class Customer {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('email', isNullable: false,  )
  final String email;
  
  @Alias('phone', isNullable: false,  )
  final String phone;
  
  @Alias('birthday', isNullable: false,  )
  final String birthday;
  
  @Alias('gender', isNullable: false,  )
  final String gender;
  
  @Alias('address', isNullable: false,  )
  final String address;
  
  @Alias('city', isNullable: false,  )
  final String city;
  
  @Alias('state', isNullable: false,  )
  final String state;
  
  @Alias('zipCode', isNullable: false,  )
  final String zipCode;
  
  @Alias('lastVisit', isNullable: false,  )
  final DateTime lastVisit;
  
  @Alias('totalVisit', isNullable: false,  )
  final int totalVisit;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Customer(
      

{
     this.id = null,  
    
     this.name = null,  
     this.email = null,  
     this.phone = null,  
     this.birthday = null,  
     this.gender = null,  
     this.address = null,  
     this.city = null,  
     this.state = null,  
     this.zipCode = null,   this.lastVisit = null,  
     this.totalVisit = null,  
     this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Customer[id=$id, name=$name, email=$email, phone=$phone, birthday=$birthday, gender=$gender, address=$address, city=$city, state=$state, zipCode=$zipCode, lastVisit=$lastVisit, totalVisit=$totalVisit, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class CustomerSerializer extends Serializer<Customer> with _$CustomerSerializer {

}

