import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'employee.jser.dart';

class Employee {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('firstName', isNullable: false,  )
  final String firstName;
  
  @Alias('lastName', isNullable: false,  )
  final String lastName;
  
  @Alias('email', isNullable: false,  )
  final String email;
  
  @Alias('phoneNumber', isNullable: false,  )
  final String phoneNumber;
  
  @Alias('roleId', isNullable: false,  )
  final String roleId;
  
  @Alias('pin', isNullable: false,  )
  final String pin;
  
  @Alias('status', isNullable: false,
          
  )
  final String status;
  //enum statusEnum {  ACTIVE,  INACTIVE,  };
  @Alias('assignedOutlets', isNullable: false,  )
  final List<String> assignedOutlets;
  
  @Alias('description', isNullable: false,  )
  final String description;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Employee(
      

{
     this.id = null,  
    
     this.firstName = null,  
     this.lastName = null,  
     this.email = null,  
     this.phoneNumber = null,  
     this.roleId = null,   this.pin = null,  
     this.status = null,  
    
     this.assignedOutlets = const [],  
     this.description = null,   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Employee[id=$id, firstName=$firstName, lastName=$lastName, email=$email, phoneNumber=$phoneNumber, roleId=$roleId, pin=$pin, status=$status, assignedOutlets=$assignedOutlets, description=$description, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class EmployeeSerializer extends Serializer<Employee> with _$EmployeeSerializer {

}

