import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'feedback.jser.dart';

class Feedback {
  
  @Alias('orderId', isNullable: false,  )
  final String orderId;
  
  @Alias('isSatisfied', isNullable: false,  )
  final bool isSatisfied;
  
  @Alias('reason', isNullable: false,  )
  final String reason;
  
  @Alias('comment', isNullable: false,  )
  final String comment;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  

  Feedback(
      

{
     this.orderId = null,  
    
     this.isSatisfied = null,   this.reason = null,  
     this.comment = null,  
     this.createdAt = null 
    
    }
  );

  @override
  String toString() {
    return 'Feedback[orderId=$orderId, isSatisfied=$isSatisfied, reason=$reason, comment=$comment, createdAt=$createdAt, ]';
  }
}

@GenSerializer(nullableFields: true)
class FeedbackSerializer extends Serializer<Feedback> with _$FeedbackSerializer {

}

