import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'image_all_of.jser.dart';

class ImageAllOf {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('isMain', isNullable: false,  )
  final bool isMain;
  
  @Alias('url', isNullable: false,  )
  final String url;
   /* User created timestamp */
  @Alias('createdAt', isNullable: false,  )
  final String createdAt;
   /* User created id */
  @Alias('created_by', isNullable: false,  )
  final String createdBy;
  

  ImageAllOf(
      

{
     this.id = null,  
     this.isMain = null,  
     this.url = null,  
     this.createdAt = null,  
     this.createdBy = null 
    
    }
  );

  @override
  String toString() {
    return 'ImageAllOf[id=$id, isMain=$isMain, url=$url, createdAt=$createdAt, createdBy=$createdBy, ]';
  }
}

@GenSerializer(nullableFields: true)
class ImageAllOfSerializer extends Serializer<ImageAllOf> with _$ImageAllOfSerializer {

}

