import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'ingredient_cost_of_goods_sold.jser.dart';

class IngredientCostOfGoodsSold {
  
  @Alias('trackCOGS', isNullable: false,  )
  final bool trackCOGS;
  
  @Alias('averageCost', isNullable: false,  )
  final num averageCost;
  

  IngredientCostOfGoodsSold(
      

{
    
     this.trackCOGS = null,  
     this.averageCost = null 
    }
  );

  @override
  String toString() {
    return 'IngredientCostOfGoodsSold[trackCOGS=$trackCOGS, averageCost=$averageCost, ]';
  }
}

@GenSerializer(nullableFields: true)
class IngredientCostOfGoodsSoldSerializer extends Serializer<IngredientCostOfGoodsSold> with _$IngredientCostOfGoodsSoldSerializer {

}

