import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'ingredient_inventory.jser.dart';

class IngredientInventory {
  
  @Alias('trackStock', isNullable: false,  )
  final bool trackStock;
  
  @Alias('stock', isNullable: false,  )
  final num stock;
  
  @Alias('alertStock', isNullable: false,  )
  final bool alertStock;
  
  @Alias('alertAt', isNullable: false,  )
  final num alertAt;
  

  IngredientInventory(
      

{
    
     this.trackStock = null,  
     this.stock = null,  
     this.alertStock = null,  
     this.alertAt = null 
    }
  );

  @override
  String toString() {
    return 'IngredientInventory[trackStock=$trackStock, stock=$stock, alertStock=$alertStock, alertAt=$alertAt, ]';
  }
}

@GenSerializer(nullableFields: true)
class IngredientInventorySerializer extends Serializer<IngredientInventory> with _$IngredientInventorySerializer {

}

