import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'login.jser.dart';

class Login {
  
  @Alias('usernameOrEmail', isNullable: false,  )
  final String usernameOrEmail;
  
  @Alias('password', isNullable: false,  )
  final String password;
  

  Login(
      

{
    
     this.usernameOrEmail = null,  
     this.password = null 
    }
  );

  @override
  String toString() {
    return 'Login[usernameOrEmail=$usernameOrEmail, password=$password, ]';
  }
}

@GenSerializer(nullableFields: true)
class LoginSerializer extends Serializer<Login> with _$LoginSerializer {

}

