import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'loyalty_program_point_from_buy_item_eligible_items.jser.dart';

class LoyaltyProgramPointFromBuyItemEligibleItems {
  
  @Alias('itemId', isNullable: false,  )
  final String itemId;
  
  @Alias('rewardPoint', isNullable: false,  )
  final num rewardPoint;
  
  @Alias('allVariants', isNullable: false,  )
  final bool allVariants;
  
  @Alias('variantIds', isNullable: false,  )
  final List<num> variantIds;
  

  LoyaltyProgramPointFromBuyItemEligibleItems(
      

{
     this.itemId = null,  
     this.rewardPoint = null,  
     this.allVariants = null,  
     this.variantIds = const [] 
    
    }
  );

  @override
  String toString() {
    return 'LoyaltyProgramPointFromBuyItemEligibleItems[itemId=$itemId, rewardPoint=$rewardPoint, allVariants=$allVariants, variantIds=$variantIds, ]';
  }
}

@GenSerializer(nullableFields: true)
class LoyaltyProgramPointFromBuyItemEligibleItemsSerializer extends Serializer<LoyaltyProgramPointFromBuyItemEligibleItems> with _$LoyaltyProgramPointFromBuyItemEligibleItemsSerializer {

}

