import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'merchant_account_business_info.jser.dart';

class MerchantAccountBusinessInfo {
  
  @Alias('businessName', isNullable: false,  )
  final String businessName;
  
  @Alias('businessAddress', isNullable: false,  )
  final String businessAddress;
  
  @Alias('province', isNullable: false,  )
  final String province;
  
  @Alias('city', isNullable: false,  )
  final String city;
  
  @Alias('state', isNullable: false,  )
  final String state;
  
  @Alias('postalCode', isNullable: false,  )
  final num postalCode;
  

  MerchantAccountBusinessInfo(
      

{
    
     this.businessName = null,  
     this.businessAddress = null,  
     this.province = null,  
     this.city = null,  
     this.state = null,  
     this.postalCode = null 
    }
  );

  @override
  String toString() {
    return 'MerchantAccountBusinessInfo[businessName=$businessName, businessAddress=$businessAddress, province=$province, city=$city, state=$state, postalCode=$postalCode, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountBusinessInfoSerializer extends Serializer<MerchantAccountBusinessInfo> with _$MerchantAccountBusinessInfoSerializer {

}

