import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'merchant_account_check_out_setting_rounding_settings.jser.dart';

class MerchantAccountCheckOutSettingRoundingSettings {
  
  @Alias('enableRounding', isNullable: false,  )
  final bool enableRounding;
  
  @Alias('roundingDigits', isNullable: false,
          
  )
  final String roundingDigits;
  //enum roundingDigitsEnum {  tens,  hundreds,  thousands,  };
  @Alias('roundingDownBelow', isNullable: false,  )
  final int roundingDownBelow;
  

  MerchantAccountCheckOutSettingRoundingSettings(
      

{
     this.enableRounding = null,  
     this.roundingDigits = null,  
     this.roundingDownBelow = null 
    
    }
  );

  @override
  String toString() {
    return 'MerchantAccountCheckOutSettingRoundingSettings[enableRounding=$enableRounding, roundingDigits=$roundingDigits, roundingDownBelow=$roundingDownBelow, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountCheckOutSettingRoundingSettingsSerializer extends Serializer<MerchantAccountCheckOutSettingRoundingSettings> with _$MerchantAccountCheckOutSettingRoundingSettingsSerializer {

}

