import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/merchant_account_personal_details_phone.dart';

import 'package:pointpos_api/model/merchant_account_personal_details_email.dart';

part 'merchant_account_personal_details.jser.dart';

class MerchantAccountPersonalDetails {
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('phone', isNullable: false,  )
  final MerchantAccountPersonalDetailsPhone phone;
  
  @Alias('email', isNullable: false,  )
  final MerchantAccountPersonalDetailsEmail email;
  

  MerchantAccountPersonalDetails(
      

{
    
     this.name = null,  
     this.phone = null,  
     this.email = null 
    }
  );

  @override
  String toString() {
    return 'MerchantAccountPersonalDetails[name=$name, phone=$phone, email=$email, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountPersonalDetailsSerializer extends Serializer<MerchantAccountPersonalDetails> with _$MerchantAccountPersonalDetailsSerializer {

}

