import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'merchant_account_public_profile.jser.dart';

class MerchantAccountPublicProfile {
  
  @Alias('logoUrl', isNullable: false,  )
  final String logoUrl;
  
  @Alias('description', isNullable: false,  )
  final String description;
  
  @Alias('phoneNumber', isNullable: false,  )
  final String phoneNumber;
  
  @Alias('emailAddress', isNullable: false,  )
  final String emailAddress;
  
  @Alias('websiteUrl', isNullable: false,  )
  final String websiteUrl;
  
  @Alias('twitterUsername', isNullable: false,  )
  final String twitterUsername;
  
  @Alias('facebookUsername', isNullable: false,  )
  final String facebookUsername;
  
  @Alias('instagramUsername', isNullable: false,  )
  final String instagramUsername;
  

  MerchantAccountPublicProfile(
      

{
     this.logoUrl = null,  
    
     this.description = null,  
     this.phoneNumber = null,  
     this.emailAddress = null,  
     this.websiteUrl = null,  
     this.twitterUsername = null,  
     this.facebookUsername = null,  
     this.instagramUsername = null 
    }
  );

  @override
  String toString() {
    return 'MerchantAccountPublicProfile[logoUrl=$logoUrl, description=$description, phoneNumber=$phoneNumber, emailAddress=$emailAddress, websiteUrl=$websiteUrl, twitterUsername=$twitterUsername, facebookUsername=$facebookUsername, instagramUsername=$instagramUsername, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountPublicProfileSerializer extends Serializer<MerchantAccountPublicProfile> with _$MerchantAccountPublicProfileSerializer {

}

