import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'merchant_account_shift.jser.dart';

class MerchantAccountShift {
  
  @Alias('startShiftAutomaticaly', isNullable: false,  )
  final bool startShiftAutomaticaly;
  
  @Alias('defaultStartingCashDrawer', isNullable: false,  )
  final num defaultStartingCashDrawer;
  

  MerchantAccountShift(
      

{
     this.startShiftAutomaticaly = null,  
     this.defaultStartingCashDrawer = null 
    
    }
  );

  @override
  String toString() {
    return 'MerchantAccountShift[startShiftAutomaticaly=$startShiftAutomaticaly, defaultStartingCashDrawer=$defaultStartingCashDrawer, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountShiftSerializer extends Serializer<MerchantAccountShift> with _$MerchantAccountShiftSerializer {

}

