import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/exception.dart';

part 'not_found_exception.jser.dart';

class NotFoundException {
  
  @Alias('code', isNullable: false,  )
  final String code;
  
  @Alias('message', isNullable: false,  )
  final String message;
  

  NotFoundException(
      

{
     this.code = null,  
     this.message = null 
    
    }
  );

  @override
  String toString() {
    return 'NotFoundException[code=$code, message=$message, ]';
  }
}

@GenSerializer(nullableFields: true)
class NotFoundExceptionSerializer extends Serializer<NotFoundException> with _$NotFoundExceptionSerializer {

}

