import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'order_gratuities.jser.dart';

class OrderGratuities {
  
  @Alias('gratuityId', isNullable: false,  )
  final String gratuityId;
  
  @Alias('gratuityAmount', isNullable: false,  )
  final num gratuityAmount;
  

  OrderGratuities(
      

{
     this.gratuityId = null,  
     this.gratuityAmount = null 
    
    }
  );

  @override
  String toString() {
    return 'OrderGratuities[gratuityId=$gratuityId, gratuityAmount=$gratuityAmount, ]';
  }
}

@GenSerializer(nullableFields: true)
class OrderGratuitiesSerializer extends Serializer<OrderGratuities> with _$OrderGratuitiesSerializer {

}

