import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'order_taxes.jser.dart';

class OrderTaxes {
  
  @Alias('taxId', isNullable: false,  )
  final String taxId;
  
  @Alias('taxName', isNullable: false,  )
  final String taxName;
  
  @Alias('taxValue', isNullable: false,  )
  final num taxValue;
  
  @Alias('isPercentage', isNullable: false,  )
  final bool isPercentage;
  
  @Alias('taxAmount', isNullable: false,  )
  final num taxAmount;
  

  OrderTaxes(
      

{
     this.taxId = null,  
     this.taxName = null,  
     this.taxValue = null,  
     this.isPercentage = null,  
     this.taxAmount = null 
    
    }
  );

  @override
  String toString() {
    return 'OrderTaxes[taxId=$taxId, taxName=$taxName, taxValue=$taxValue, isPercentage=$isPercentage, taxAmount=$taxAmount, ]';
  }
}

@GenSerializer(nullableFields: true)
class OrderTaxesSerializer extends Serializer<OrderTaxes> with _$OrderTaxesSerializer {

}

