import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/outlet_receipt_settings.dart';

part 'outlet.jser.dart';

class Outlet {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('receiptSettings', isNullable: false,  )
  final OutletReceiptSettings receiptSettings;
  
  @Alias('status', isNullable: false,
          
  )
  final String status;
  //enum statusEnum {  ACTIVE,  INACTIVE,  };
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Outlet(
      

{
     this.id = null,  
    
     this.name = null,   this.receiptSettings = null,  
     this.status = "ACTIVE",  
     this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Outlet[id=$id, name=$name, receiptSettings=$receiptSettings, status=$status, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class OutletSerializer extends Serializer<Outlet> with _$OutletSerializer {

}

