import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/payment_configuration_configurations.dart';

part 'payment_configuration.jser.dart';

class PaymentConfiguration {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('assignedOutlets', isNullable: false,  )
  final List<String> assignedOutlets;
  
  @Alias('description', isNullable: false,  )
  final String description;
  
  @Alias('configurations', isNullable: false,  )
  final List<PaymentConfigurationConfigurations> configurations;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  PaymentConfiguration(
      

{
     this.id = null,  
    
     this.name = null,  
     this.assignedOutlets = const [],   this.description = null,  
    
     this.configurations = const [],   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'PaymentConfiguration[id=$id, name=$name, assignedOutlets=$assignedOutlets, description=$description, configurations=$configurations, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class PaymentConfigurationSerializer extends Serializer<PaymentConfiguration> with _$PaymentConfigurationSerializer {

}

