import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/payment_configuration_group.dart';

part 'payment_configuration_configurations.jser.dart';

class PaymentConfigurationConfigurations {
  
  @Alias('groupId', isNullable: false,  )
  final String groupId;
  
  @Alias('groupName', isNullable: false,  )
  final String groupName;
  
  @Alias('group', isNullable: false,  )
  final List<PaymentConfigurationGroup> group;
  

  PaymentConfigurationConfigurations(
      

{
    
     this.groupId = null,  
     this.groupName = null,  
     this.group = const [] 
    }
  );

  @override
  String toString() {
    return 'PaymentConfigurationConfigurations[groupId=$groupId, groupName=$groupName, group=$group, ]';
  }
}

@GenSerializer(nullableFields: true)
class PaymentConfigurationConfigurationsSerializer extends Serializer<PaymentConfigurationConfigurations> with _$PaymentConfigurationConfigurationsSerializer {

}

