import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'payment_configuration_group.jser.dart';

class PaymentConfigurationGroup {
  
  @Alias('paymentId', isNullable: false,  )
  final String paymentId;
  
  @Alias('paymentName', isNullable: false,  )
  final String paymentName;
  
  @Alias('description', isNullable: false,  )
  final String description;
  

  PaymentConfigurationGroup(
      

{
    
     this.paymentId = null,  
     this.paymentName = null,   this.description = null 
    
    }
  );

  @override
  String toString() {
    return 'PaymentConfigurationGroup[paymentId=$paymentId, paymentName=$paymentName, description=$description, ]';
  }
}

@GenSerializer(nullableFields: true)
class PaymentConfigurationGroupSerializer extends Serializer<PaymentConfigurationGroup> with _$PaymentConfigurationGroupSerializer {

}

