import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/update_profile.dart';

import 'package:pointpos_api/model/profile_all_of.dart';

part 'profile.jser.dart';

class Profile {
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('phoneNumber', isNullable: false,  )
  final String phoneNumber;
  
  @Alias('username', isNullable: false,  )
  final String username;
  
  @Alias('email', isNullable: false,  )
  final String email;
  
  @Alias('id', isNullable: false,  )
  final String id;
  

  Profile(
      

{
    
     this.name = null,  
     this.phoneNumber = null,   this.username = null,  
    
     this.email = null,   this.id = null 
    
    }
  );

  @override
  String toString() {
    return 'Profile[name=$name, phoneNumber=$phoneNumber, username=$username, email=$email, id=$id, ]';
  }
}

@GenSerializer(nullableFields: true)
class ProfileSerializer extends Serializer<Profile> with _$ProfileSerializer {

}

