import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'promo_reward_discount.jser.dart';

class PromoRewardDiscount {
  
  @Alias('amount', isNullable: false,  )
  final num amount;
  
  @Alias('isPercentage', isNullable: false,  )
  final bool isPercentage;
  

  PromoRewardDiscount(
      

{
    
     this.amount = null,  
     this.isPercentage = null 
    }
  );

  @override
  String toString() {
    return 'PromoRewardDiscount[amount=$amount, isPercentage=$isPercentage, ]';
  }
}

@GenSerializer(nullableFields: true)
class PromoRewardDiscountSerializer extends Serializer<PromoRewardDiscount> with _$PromoRewardDiscountSerializer {

}

