import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/purchase_order_items.dart';

part 'purchase_order.jser.dart';

class PurchaseOrder {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('outletId', isNullable: false,  )
  final String outletId;
  
  @Alias('supplierId', isNullable: false,  )
  final String supplierId;
  
  @Alias('status', isNullable: false,
          
  )
  final String status;
  //enum statusEnum {  CREATED,  CANCELLED,  FULFILLED,  };
  @Alias('note', isNullable: false,  )
  final String note;
  
  @Alias('items', isNullable: false,  )
  final List<PurchaseOrderItems> items;
  
  @Alias('total', isNullable: false,  )
  final num total;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  PurchaseOrder(
      

{
     this.id = null,  
     this.outletId = null,  
    
     this.supplierId = null,   this.status = "CREATED",  
    
     this.note = null,  
     this.items = const [],   this.total = null,  
     this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'PurchaseOrder[id=$id, outletId=$outletId, supplierId=$supplierId, status=$status, note=$note, items=$items, total=$total, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class PurchaseOrderSerializer extends Serializer<PurchaseOrder> with _$PurchaseOrderSerializer {

}

