import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/purchase_order_variants.dart';

part 'purchase_order_items.jser.dart';

class PurchaseOrderItems {
  
  @Alias('itemId', isNullable: false,  )
  final String itemId;
  
  @Alias('variants', isNullable: false,  )
  final List<PurchaseOrderVariants> variants;
  

  PurchaseOrderItems(
      

{
     this.itemId = null,  
     this.variants = const [] 
    
    }
  );

  @override
  String toString() {
    return 'PurchaseOrderItems[itemId=$itemId, variants=$variants, ]';
  }
}

@GenSerializer(nullableFields: true)
class PurchaseOrderItemsSerializer extends Serializer<PurchaseOrderItems> with _$PurchaseOrderItemsSerializer {

}

