import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/refund_order_items.dart';

part 'refund_order.jser.dart';

class RefundOrder {
  
  @Alias('reason', isNullable: false,  )
  final String reason;
  
  @Alias('items', isNullable: false,  )
  final List<RefundOrderItems> items;
  
  @Alias('refundedGood', isNullable: false,  )
  final num refundedGood;
  
  @Alias('refundedGratuity', isNullable: false,  )
  final num refundedGratuity;
  
  @Alias('refundedTax', isNullable: false,  )
  final num refundedTax;
  
  @Alias('refundedAmount', isNullable: false,  )
  final num refundedAmount;
  

  RefundOrder(
      

{
    
     this.reason = null,  
     this.items = const [],   this.refundedGood = null,  
     this.refundedGratuity = null,  
     this.refundedTax = null,  
     this.refundedAmount = null 
    
    }
  );

  @override
  String toString() {
    return 'RefundOrder[reason=$reason, items=$items, refundedGood=$refundedGood, refundedGratuity=$refundedGratuity, refundedTax=$refundedTax, refundedAmount=$refundedAmount, ]';
  }
}

@GenSerializer(nullableFields: true)
class RefundOrderSerializer extends Serializer<RefundOrder> with _$RefundOrderSerializer {

}

