import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'refund_order_items.jser.dart';

class RefundOrderItems {
  
  @Alias('itemId', isNullable: false,  )
  final String itemId;
  
  @Alias('variantId', isNullable: false,  )
  final num variantId;
  
  @Alias('qty', isNullable: false,  )
  final int qty;
  
  @Alias('salesTypeId', isNullable: false,  )
  final String salesTypeId;
  
  @Alias('refundedAmount', isNullable: false,  )
  final num refundedAmount;
  

  RefundOrderItems(
      

{
     this.itemId = null,  
     this.variantId = null,  
     this.qty = null,  
     this.salesTypeId = null,  
     this.refundedAmount = null 
    
    }
  );

  @override
  String toString() {
    return 'RefundOrderItems[itemId=$itemId, variantId=$variantId, qty=$qty, salesTypeId=$salesTypeId, refundedAmount=$refundedAmount, ]';
  }
}

@GenSerializer(nullableFields: true)
class RefundOrderItemsSerializer extends Serializer<RefundOrderItems> with _$RefundOrderItemsSerializer {

}

