import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'reset_password.jser.dart';

class ResetPassword {
  
  @Alias('resetToken', isNullable: false,  )
  final String resetToken;
  
  @Alias('newPassword', isNullable: false,  )
  final String newPassword;
  

  ResetPassword(
      

{
    
     this.resetToken = null,  
     this.newPassword = null 
    }
  );

  @override
  String toString() {
    return 'ResetPassword[resetToken=$resetToken, newPassword=$newPassword, ]';
  }
}

@GenSerializer(nullableFields: true)
class ResetPasswordSerializer extends Serializer<ResetPassword> with _$ResetPasswordSerializer {

}

