import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'sales_type.jser.dart';

class SalesType {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('assignedGratuity', isNullable: false,  )
  final List<String> assignedGratuity;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  SalesType(
      

{
     this.id = null,  
    
     this.name = null,  
     this.assignedGratuity = const [],   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'SalesType[id=$id, name=$name, assignedGratuity=$assignedGratuity, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class SalesTypeSerializer extends Serializer<SalesType> with _$SalesTypeSerializer {

}

