import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'supplier.jser.dart';

class Supplier {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('phoneNumber', isNullable: false,  )
  final String phoneNumber;
  
  @Alias('email', isNullable: false,  )
  final String email;
  
  @Alias('address', isNullable: false,  )
  final String address;
  
  @Alias('city', isNullable: false,  )
  final String city;
  
  @Alias('state', isNullable: false,  )
  final String state;
  
  @Alias('zip', isNullable: false,  )
  final String zip;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Supplier(
      

{
     this.id = null,  
    
     this.name = null,  
     this.phoneNumber = null,  
     this.email = null,  
     this.address = null,  
     this.city = null,  
     this.state = null,  
     this.zip = null,   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Supplier[id=$id, name=$name, phoneNumber=$phoneNumber, email=$email, address=$address, city=$city, state=$state, zip=$zip, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class SupplierSerializer extends Serializer<Supplier> with _$SupplierSerializer {

}

