import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/table_location.dart';

part 'table.jser.dart';

class Table {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('tableGroup', isNullable: false,  )
  final String tableGroup;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('pax', isNullable: false,  )
  final num pax;
  
  @Alias('shape', isNullable: false,
          
  )
  final String shape;
  //enum shapeEnum {  circle,  square,  oval,  };
  @Alias('location', isNullable: false,  )
  final TableLocation location;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Table(
      

{
     this.id = null,  
    
     this.tableGroup = null,  
     this.name = null,  
     this.pax = null,  
     this.shape = null,  
     this.location = null,   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Table[id=$id, tableGroup=$tableGroup, name=$name, pax=$pax, shape=$shape, location=$location, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class TableSerializer extends Serializer<Table> with _$TableSerializer {

}

