import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'token.jser.dart';

class Token {
  
  @Alias('token', isNullable: false,  )
  final String token;
  
  @Alias('isPinRequired', isNullable: false,  )
  final bool isPinRequired;
  
  @Alias('isSetOutletRequired', isNullable: false,  )
  final bool isSetOutletRequired;
  

  Token(
      

{
    
     this.token = null,   this.isPinRequired = null,  
     this.isSetOutletRequired = null 
    
    }
  );

  @override
  String toString() {
    return 'Token[token=$token, isPinRequired=$isPinRequired, isSetOutletRequired=$isSetOutletRequired, ]';
  }
}

@GenSerializer(nullableFields: true)
class TokenSerializer extends Serializer<Token> with _$TokenSerializer {

}

