import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/exception.dart';

part 'unauthorized_exception.jser.dart';

class UnauthorizedException {
  
  @Alias('code', isNullable: false,  )
  final String code;
  
  @Alias('message', isNullable: false,  )
  final String message;
  

  UnauthorizedException(
      

{
     this.code = null,  
     this.message = null 
    
    }
  );

  @override
  String toString() {
    return 'UnauthorizedException[code=$code, message=$message, ]';
  }
}

@GenSerializer(nullableFields: true)
class UnauthorizedExceptionSerializer extends Serializer<UnauthorizedException> with _$UnauthorizedExceptionSerializer {

}

