import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'update_item_inventory.jser.dart';

class UpdateItemInventory {
  
  @Alias('variantId', isNullable: false,  )
  final int variantId;
  
  @Alias('trackStock', isNullable: false,  )
  final bool trackStock;
  
  @Alias('alertStock', isNullable: false,  )
  final bool alertStock;
  
  @Alias('alertAt', isNullable: false,  )
  final num alertAt;
  

  UpdateItemInventory(
      

{
     this.variantId = null,  
     this.trackStock = null,  
     this.alertStock = null,  
     this.alertAt = null 
    
    }
  );

  @override
  String toString() {
    return 'UpdateItemInventory[variantId=$variantId, trackStock=$trackStock, alertStock=$alertStock, alertAt=$alertAt, ]';
  }
}

@GenSerializer(nullableFields: true)
class UpdateItemInventorySerializer extends Serializer<UpdateItemInventory> with _$UpdateItemInventorySerializer {

}

