import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'update_profile.jser.dart';

class UpdateProfile {
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('phoneNumber', isNullable: false,  )
  final String phoneNumber;
  
  @Alias('username', isNullable: false,  )
  final String username;
  
  @Alias('email', isNullable: false,  )
  final String email;
  

  UpdateProfile(
      

{
    
     this.name = null,  
     this.phoneNumber = null,   this.username = null,  
    
     this.email = null 
    }
  );

  @override
  String toString() {
    return 'UpdateProfile[name=$name, phoneNumber=$phoneNumber, username=$username, email=$email, ]';
  }
}

@GenSerializer(nullableFields: true)
class UpdateProfileSerializer extends Serializer<UpdateProfile> with _$UpdateProfileSerializer {

}

