# pointpos_api.api.DocumentApi

## Load the API package
```dart
import 'package:pointpos_api/api.dart';
```

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**uploadDocument**](DocumentApi.md#uploadDocument) | **Post** /document | Upload Document


# **uploadDocument**
> InlineResponse200 uploadDocument(authorization, xAPIKey, file, type, xPin)

Upload Document

Upload Document

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: JWT
//pointpos_api.api.Configuration.apiKey{'Authorization'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'Authorization'} = "Bearer";

var api_instance = new DocumentApi();
var authorization = authorization_example; // String | JWT Authorization
var xAPIKey = xAPIKey_example; // String | API Key
var file = BINARY_DATA_HERE; // MultipartFile | Upload Document.
var type = type_example; // String | 
var xPin = xPin_example; // String | PIN Number

try { 
    var result = api_instance.uploadDocument(authorization, xAPIKey, file, type, xPin);
    print(result);
} catch (e) {
    print("Exception when calling DocumentApi->uploadDocument: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **String**| JWT Authorization | [default to null]
 **xAPIKey** | **String**| API Key | [default to null]
 **file** | **MultipartFile****MultipartFile**| Upload Document. | [default to null]
 **type** | **String**|  | [default to null]
 **xPin** | **String**| PIN Number | [optional] [default to null]

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

[JWT](../README.md#JWT)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

