# pointpos_api.model.MerchantAccount

## Load the model package
```dart
import 'package:pointpos_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [optional] [readonly] [default to null]
**personalDetails** | [**MerchantAccountPersonalDetails**](MerchantAccountPersonalDetails.md) |  | [default to null]
**businessInfo** | [**MerchantAccountBusinessInfo**](MerchantAccountBusinessInfo.md) |  | [default to null]
**identification** | [**MerchantAccountIdentification**](MerchantAccountIdentification.md) |  | [default to null]
**npwp** | [**MerchantAccountNpwp**](MerchantAccountNpwp.md) |  | [default to null]
**publicProfile** | [**MerchantAccountPublicProfile**](MerchantAccountPublicProfile.md) |  | [default to null]
**shift** | [**MerchantAccountShift**](MerchantAccountShift.md) |  | [optional] [default to null]
**emailNotificationsSetting** | [**MerchantAccountEmailNotificationsSetting**](MerchantAccountEmailNotificationsSetting.md) |  | [optional] [default to null]
**checkOutSetting** | [**MerchantAccountCheckOutSetting**](MerchantAccountCheckOutSetting.md) |  | [optional] [default to null]
**deleted** | **bool** |  | [optional] [readonly] [default to false]
**createdAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**createdBy** | **String** |  | [optional] [readonly] [default to null]
**updatedAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**updatedBy** | **String** |  | [optional] [readonly] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


