# pointpos_api.model.Order

## Load the model package
```dart
import 'package:pointpos_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [optional] [readonly] [default to null]
**shortId** | **String** |  | [optional] [readonly] [default to null]
**merchantId** | **String** |  | [optional] [readonly] [default to null]
**outletId** | **String** |  | [optional] [readonly] [default to null]
**type** | **String** |  | [optional] [readonly] [default to null]
**items** | [**List&lt;OrderItems&gt;**](OrderItems.md) |  | [default to const []]
**taxes** | [**List&lt;OrderTaxes&gt;**](OrderTaxes.md) |  | [optional] [readonly] [default to const []]
**gratuities** | [**List&lt;OrderGratuities&gt;**](OrderGratuities.md) |  | [optional] [readonly] [default to const []]
**subTotal** | **num** |  | [optional] [readonly] [default to null]
**gratuity** | **num** |  | [optional] [readonly] [default to null]
**discount** | **num** |  | [optional] [readonly] [default to null]
**tax** | **num** |  | [optional] [readonly] [default to null]
**rounding** | **num** |  | [optional] [readonly] [default to null]
**grandTotal** | **num** |  | [optional] [readonly] [default to null]
**customerId** | **String** |  | [optional] [default to null]
**payments** | [**List&lt;OrderPayments&gt;**](OrderPayments.md) |  | [default to const []]
**sentReceipts** | [**List&lt;SendReceipt&gt;**](SendReceipt.md) |  | [default to const []]
**refundHistory** | [**List&lt;RefundOrder&gt;**](RefundOrder.md) |  | [optional] [readonly] [default to const []]
**createdAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**createdBy** | **String** |  | [optional] [readonly] [default to null]
**updatedAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**updatedBy** | **String** |  | [optional] [readonly] [default to null]
**deleted** | **bool** |  | [optional] [readonly] [default to false]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


