# pointpos_api.model.OrderItems

## Load the model package
```dart
import 'package:pointpos_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**itemId** | **String** |  | [default to null]
**itemName** | **String** |  | [optional] [readonly] [default to null]
**variantId** | **num** |  | [optional] [default to null]
**variantName** | **String** |  | [optional] [readonly] [default to null]
**modifiers** | [**List&lt;OrderModifiers&gt;**](OrderModifiers.md) |  | [optional] [default to const []]
**discounts** | [**List&lt;OrderDiscounts&gt;**](OrderDiscounts.md) |  | [optional] [readonly] [default to const []]
**salesTypeId** | **String** |  | [optional] [default to null]
**note** | **String** |  | [optional] [default to null]
**qty** | **num** |  | [default to null]
**subTotal** | **num** |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


