# pointpos_api.model.Shift

## Load the model package
```dart
import 'package:pointpos_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [optional] [readonly] [default to null]
**startingCash** | **num** |  | [optional] [readonly] [default to null]
**startedAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**actualEndingCash** | **num** |  | [optional] [default to null]
**endedAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] [default to null]
**employeeId** | **String** |  | [optional] [readonly] [default to null]
**outletId** | **String** |  | [optional] [readonly] [default to null]
**soldItems** | [**List&lt;ShiftSoldItems&gt;**](ShiftSoldItems.md) |  | [optional] [default to const []]
**refundedItems** | [**List&lt;ShiftSoldItems&gt;**](ShiftSoldItems.md) |  | [optional] [default to const []]
**cash** | [**ShiftCash**](ShiftCash.md) |  | [optional] [default to null]
**card** | [**ShiftCard**](ShiftCard.md) |  | [optional] [default to null]
**others** | [**List&lt;ShiftOthers&gt;**](ShiftOthers.md) |  | [optional] [default to const []]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


