import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/adjustment_stock_variants.dart';

part 'adjustment_stock_items.jser.dart';

class AdjustmentStockItems {
  
  @Alias('itemId', isNullable: false,  )
  final String itemId;
  
  @Alias('variants', isNullable: false,  )
  final List<AdjustmentStockVariants> variants;
  

  AdjustmentStockItems(
      

{
     this.itemId = null,  
     this.variants = const [] 
    
    }
  );

  @override
  String toString() {
    return 'AdjustmentStockItems[itemId=$itemId, variants=$variants, ]';
  }
}

@GenSerializer(nullableFields: true)
class AdjustmentStockItemsSerializer extends Serializer<AdjustmentStockItems> with _$AdjustmentStockItemsSerializer {

}

