import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'adjustment_stock_variants.jser.dart';

class AdjustmentStockVariants {
  
  @Alias('variantId', isNullable: false,  )
  final int variantId;
  
  @Alias('stock', isNullable: false,  )
  final int stock;
  
  @Alias('actualStock', isNullable: false,  )
  final int actualStock;
  
  @Alias('adjustment', isNullable: false,  )
  final int adjustment;
  

  AdjustmentStockVariants(
      

{
     this.variantId = null,  
     this.stock = null,  
     this.actualStock = null,  
     this.adjustment = null 
    
    }
  );

  @override
  String toString() {
    return 'AdjustmentStockVariants[variantId=$variantId, stock=$stock, actualStock=$actualStock, adjustment=$adjustment, ]';
  }
}

@GenSerializer(nullableFields: true)
class AdjustmentStockVariantsSerializer extends Serializer<AdjustmentStockVariants> with _$AdjustmentStockVariantsSerializer {

}

