import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/feedback.dart';

import 'package:pointpos_api/model/create_feedback_all_of.dart';

part 'create_feedback.jser.dart';

class CreateFeedback {
  
  @Alias('orderId', isNullable: false,  )
  final String orderId;
  
  @Alias('isSatisfied', isNullable: false,  )
  final bool isSatisfied;
  
  @Alias('reason', isNullable: false,  )
  final String reason;
  
  @Alias('comment', isNullable: false,  )
  final String comment;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('token', isNullable: false,  )
  final String token;
  

  CreateFeedback(
      

{
     this.orderId = null,  
    
     this.isSatisfied = null,   this.reason = null,  
     this.comment = null,  
     this.createdAt = null,  
    
     this.token = null 
    }
  );

  @override
  String toString() {
    return 'CreateFeedback[orderId=$orderId, isSatisfied=$isSatisfied, reason=$reason, comment=$comment, createdAt=$createdAt, token=$token, ]';
  }
}

@GenSerializer(nullableFields: true)
class CreateFeedbackSerializer extends Serializer<CreateFeedback> with _$CreateFeedbackSerializer {

}

