import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'exception.jser.dart';

class Exception {
  
  @Alias('code', isNullable: false,  )
  final String code;
  
  @Alias('message', isNullable: false,  )
  final String message;
  

  Exception(
      

{
     this.code = null,  
     this.message = null 
    
    }
  );

  @override
  String toString() {
    return 'Exception[code=$code, message=$message, ]';
  }
}

@GenSerializer(nullableFields: true)
class ExceptionSerializer extends Serializer<Exception> with _$ExceptionSerializer {

}

