import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/exception.dart';

part 'forbidden_exception.jser.dart';

class ForbiddenException {
  
  @Alias('code', isNullable: false,  )
  final String code;
  
  @Alias('message', isNullable: false,  )
  final String message;
  

  ForbiddenException(
      

{
     this.code = null,  
     this.message = null 
    
    }
  );

  @override
  String toString() {
    return 'ForbiddenException[code=$code, message=$message, ]';
  }
}

@GenSerializer(nullableFields: true)
class ForbiddenExceptionSerializer extends Serializer<ForbiddenException> with _$ForbiddenExceptionSerializer {

}

