import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/image_all_of.dart';

part 'image.jser.dart';

class Image {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('isMain', isNullable: false,  )
  final bool isMain;
  
  @Alias('url', isNullable: false,  )
  final String url;
   /* User created timestamp */
  @Alias('createdAt', isNullable: false,  )
  final String createdAt;
   /* User created id */
  @Alias('created_by', isNullable: false,  )
  final String createdBy;
  

  Image(
      

{
     this.id = null,  
     this.isMain = null,  
     this.url = null,  
     this.createdAt = null,  
     this.createdBy = null 
    
    }
  );

  @override
  String toString() {
    return 'Image[id=$id, isMain=$isMain, url=$url, createdAt=$createdAt, createdBy=$createdBy, ]';
  }
}

@GenSerializer(nullableFields: true)
class ImageSerializer extends Serializer<Image> with _$ImageSerializer {

}

