import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/ingredient_cost_of_goods_sold.dart';

import 'package:pointpos_api/model/ingredient_inventory.dart';

part 'ingredient.jser.dart';

class Ingredient {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('unitId', isNullable: false,  )
  final num unitId;
  
  @Alias('ingredientCategoryId', isNullable: false,  )
  final num ingredientCategoryId;
  
  @Alias('inventory', isNullable: false,  )
  final IngredientInventory inventory;
  
  @Alias('costOfGoodsSold', isNullable: false,  )
  final IngredientCostOfGoodsSold costOfGoodsSold;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Ingredient(
      

{
     this.id = null,  
    
     this.name = null,  
     this.unitId = null,  
     this.ingredientCategoryId = null,  
     this.inventory = null,  
     this.costOfGoodsSold = null,   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Ingredient[id=$id, name=$name, unitId=$unitId, ingredientCategoryId=$ingredientCategoryId, inventory=$inventory, costOfGoodsSold=$costOfGoodsSold, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class IngredientSerializer extends Serializer<Ingredient> with _$IngredientSerializer {

}

