import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'ingredient_category.jser.dart';

class IngredientCategory {
  
  @Alias('id', isNullable: false,  )
  final num id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  

  IngredientCategory(
      

{
     this.id = null,  
    
     this.name = null 
    }
  );

  @override
  String toString() {
    return 'IngredientCategory[id=$id, name=$name, ]';
  }
}

@GenSerializer(nullableFields: true)
class IngredientCategorySerializer extends Serializer<IngredientCategory> with _$IngredientCategorySerializer {

}

