import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/exception.dart';

part 'internal_server_error_exception.jser.dart';

class InternalServerErrorException {
  
  @Alias('code', isNullable: false,  )
  final String code;
  
  @Alias('message', isNullable: false,  )
  final String message;
  

  InternalServerErrorException(
      

{
     this.code = null,  
     this.message = null 
    
    }
  );

  @override
  String toString() {
    return 'InternalServerErrorException[code=$code, message=$message, ]';
  }
}

@GenSerializer(nullableFields: true)
class InternalServerErrorExceptionSerializer extends Serializer<InternalServerErrorException> with _$InternalServerErrorExceptionSerializer {

}

