import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/loyalty_program_point_from_buy_item_eligible_items.dart';

import 'package:pointpos_api/model/loyalty_program_point_from_buy_item_eligible_categories.dart';

part 'loyalty_program_point_from_buy_item.jser.dart';

class LoyaltyProgramPointFromBuyItem {
  
  @Alias('eligibleItems', isNullable: false,  )
  final List<LoyaltyProgramPointFromBuyItemEligibleItems> eligibleItems;
  
  @Alias('eligibleCategories', isNullable: false,  )
  final List<LoyaltyProgramPointFromBuyItemEligibleCategories> eligibleCategories;
  

  LoyaltyProgramPointFromBuyItem(
      

{
    
     this.eligibleItems = const [],  
     this.eligibleCategories = const [] 
    }
  );

  @override
  String toString() {
    return 'LoyaltyProgramPointFromBuyItem[eligibleItems=$eligibleItems, eligibleCategories=$eligibleCategories, ]';
  }
}

@GenSerializer(nullableFields: true)
class LoyaltyProgramPointFromBuyItemSerializer extends Serializer<LoyaltyProgramPointFromBuyItem> with _$LoyaltyProgramPointFromBuyItemSerializer {

}

