import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'loyalty_program_point_from_buy_item_eligible_categories.jser.dart';

class LoyaltyProgramPointFromBuyItemEligibleCategories {
  
  @Alias('categoryId', isNullable: false,  )
  final num categoryId;
  
  @Alias('rewardPoint', isNullable: false,  )
  final num rewardPoint;
  

  LoyaltyProgramPointFromBuyItemEligibleCategories(
      

{
     this.categoryId = null,  
     this.rewardPoint = null 
    
    }
  );

  @override
  String toString() {
    return 'LoyaltyProgramPointFromBuyItemEligibleCategories[categoryId=$categoryId, rewardPoint=$rewardPoint, ]';
  }
}

@GenSerializer(nullableFields: true)
class LoyaltyProgramPointFromBuyItemEligibleCategoriesSerializer extends Serializer<LoyaltyProgramPointFromBuyItemEligibleCategories> with _$LoyaltyProgramPointFromBuyItemEligibleCategoriesSerializer {

}

