import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'loyalty_program_point_from_total_spent.jser.dart';

class LoyaltyProgramPointFromTotalSpent {
  
  @Alias('spend', isNullable: false,  )
  final num spend;
  
  @Alias('rewardPoint', isNullable: false,  )
  final num rewardPoint;
  

  LoyaltyProgramPointFromTotalSpent(
      

{
    
     this.spend = null,  
     this.rewardPoint = null 
    }
  );

  @override
  String toString() {
    return 'LoyaltyProgramPointFromTotalSpent[spend=$spend, rewardPoint=$rewardPoint, ]';
  }
}

@GenSerializer(nullableFields: true)
class LoyaltyProgramPointFromTotalSpentSerializer extends Serializer<LoyaltyProgramPointFromTotalSpent> with _$LoyaltyProgramPointFromTotalSpentSerializer {

}

