import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/merchant_account_public_profile.dart';

import 'package:pointpos_api/model/merchant_account_business_info.dart';

import 'package:pointpos_api/model/merchant_account_email_notifications_setting.dart';

import 'package:pointpos_api/model/merchant_account_identification.dart';

import 'package:pointpos_api/model/merchant_account_npwp.dart';

import 'package:pointpos_api/model/merchant_account_personal_details.dart';

import 'package:pointpos_api/model/merchant_account_shift.dart';

import 'package:pointpos_api/model/merchant_account_check_out_setting.dart';

part 'merchant_account.jser.dart';

class MerchantAccount {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('personalDetails', isNullable: false,  )
  final MerchantAccountPersonalDetails personalDetails;
  
  @Alias('businessInfo', isNullable: false,  )
  final MerchantAccountBusinessInfo businessInfo;
  
  @Alias('identification', isNullable: false,  )
  final MerchantAccountIdentification identification;
  
  @Alias('npwp', isNullable: false,  )
  final MerchantAccountNpwp npwp;
  
  @Alias('publicProfile', isNullable: false,  )
  final MerchantAccountPublicProfile publicProfile;
  
  @Alias('shift', isNullable: false,  )
  final MerchantAccountShift shift;
  
  @Alias('emailNotificationsSetting', isNullable: false,  )
  final MerchantAccountEmailNotificationsSetting emailNotificationsSetting;
  
  @Alias('checkOutSetting', isNullable: false,  )
  final MerchantAccountCheckOutSetting checkOutSetting;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  

  MerchantAccount(
      

{
     this.id = null,  
    
     this.personalDetails = null,  
     this.businessInfo = null,  
     this.identification = null,  
     this.npwp = null,  
     this.publicProfile = null,   this.shift = null,  
     this.emailNotificationsSetting = null,  
     this.checkOutSetting = null,  
     this.deleted = false,  
     this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null 
    
    }
  );

  @override
  String toString() {
    return 'MerchantAccount[id=$id, personalDetails=$personalDetails, businessInfo=$businessInfo, identification=$identification, npwp=$npwp, publicProfile=$publicProfile, shift=$shift, emailNotificationsSetting=$emailNotificationsSetting, checkOutSetting=$checkOutSetting, deleted=$deleted, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountSerializer extends Serializer<MerchantAccount> with _$MerchantAccountSerializer {

}

