import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/merchant_account_check_out_setting_rounding_settings.dart';

import 'package:pointpos_api/model/merchant_account_check_out_setting_stok_limit.dart';

import 'package:pointpos_api/model/merchant_account_check_out_setting_other_settings.dart';

import 'package:pointpos_api/model/merchant_account_check_out_setting_tax_and_gratuity_setting.dart';

part 'merchant_account_check_out_setting.jser.dart';

class MerchantAccountCheckOutSetting {
  
  @Alias('taxAndGratuitySetting', isNullable: false,  )
  final MerchantAccountCheckOutSettingTaxAndGratuitySetting taxAndGratuitySetting;
  
  @Alias('roundingSettings', isNullable: false,  )
  final MerchantAccountCheckOutSettingRoundingSettings roundingSettings;
  
  @Alias('stokLimit', isNullable: false,  )
  final MerchantAccountCheckOutSettingStokLimit stokLimit;
  
  @Alias('otherSettings', isNullable: false,  )
  final MerchantAccountCheckOutSettingOtherSettings otherSettings;
  

  MerchantAccountCheckOutSetting(
      

{
     this.taxAndGratuitySetting = null,  
     this.roundingSettings = null,  
     this.stokLimit = null,  
     this.otherSettings = null 
    
    }
  );

  @override
  String toString() {
    return 'MerchantAccountCheckOutSetting[taxAndGratuitySetting=$taxAndGratuitySetting, roundingSettings=$roundingSettings, stokLimit=$stokLimit, otherSettings=$otherSettings, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountCheckOutSettingSerializer extends Serializer<MerchantAccountCheckOutSetting> with _$MerchantAccountCheckOutSettingSerializer {

}

