import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'merchant_account_email_notifications_setting.jser.dart';

class MerchantAccountEmailNotificationsSetting {
  
  @Alias('dailySalesSummary', isNullable: false,  )
  final bool dailySalesSummary;
  
  @Alias('inventoryAlerts', isNullable: false,  )
  final bool inventoryAlerts;
  
  @Alias('promoUpdateNotification', isNullable: false,  )
  final bool promoUpdateNotification;
  
  @Alias('recipientAlertEmail', isNullable: false,  )
  final List<String> recipientAlertEmail;
  

  MerchantAccountEmailNotificationsSetting(
      

{
     this.dailySalesSummary = null,  
     this.inventoryAlerts = null,  
     this.promoUpdateNotification = null,  
     this.recipientAlertEmail = const [] 
    
    }
  );

  @override
  String toString() {
    return 'MerchantAccountEmailNotificationsSetting[dailySalesSummary=$dailySalesSummary, inventoryAlerts=$inventoryAlerts, promoUpdateNotification=$promoUpdateNotification, recipientAlertEmail=$recipientAlertEmail, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountEmailNotificationsSettingSerializer extends Serializer<MerchantAccountEmailNotificationsSetting> with _$MerchantAccountEmailNotificationsSettingSerializer {

}

