import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'merchant_account_identification.jser.dart';

class MerchantAccountIdentification {
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('photoUrl', isNullable: false,  )
  final String photoUrl;
  
  @Alias('idNumber', isNullable: false,  )
  final String idNumber;
  

  MerchantAccountIdentification(
      

{
    
     this.name = null,  
     this.photoUrl = null,  
     this.idNumber = null 
    }
  );

  @override
  String toString() {
    return 'MerchantAccountIdentification[name=$name, photoUrl=$photoUrl, idNumber=$idNumber, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountIdentificationSerializer extends Serializer<MerchantAccountIdentification> with _$MerchantAccountIdentificationSerializer {

}

