import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'merchant_account_npwp.jser.dart';

class MerchantAccountNpwp {
  
  @Alias('npwpName', isNullable: false,  )
  final String npwpName;
  
  @Alias('photoUrl', isNullable: false,  )
  final String photoUrl;
  
  @Alias('npwpNumber', isNullable: false,  )
  final String npwpNumber;
  

  MerchantAccountNpwp(
      

{
    
     this.npwpName = null,   this.photoUrl = null,  
    
     this.npwpNumber = null 
    }
  );

  @override
  String toString() {
    return 'MerchantAccountNpwp[npwpName=$npwpName, photoUrl=$photoUrl, npwpNumber=$npwpNumber, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountNpwpSerializer extends Serializer<MerchantAccountNpwp> with _$MerchantAccountNpwpSerializer {

}

