import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'merchant_account_personal_details_email.jser.dart';

class MerchantAccountPersonalDetailsEmail {
  
  @Alias('emailAddress', isNullable: false,  )
  final String emailAddress;
  
  @Alias('isVerified', isNullable: false,  )
  final bool isVerified;
  

  MerchantAccountPersonalDetailsEmail(
      

{
    
     this.emailAddress = null,  
     this.isVerified = null 
    }
  );

  @override
  String toString() {
    return 'MerchantAccountPersonalDetailsEmail[emailAddress=$emailAddress, isVerified=$isVerified, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountPersonalDetailsEmailSerializer extends Serializer<MerchantAccountPersonalDetailsEmail> with _$MerchantAccountPersonalDetailsEmailSerializer {

}

