import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'merchant_account_personal_details_phone.jser.dart';

class MerchantAccountPersonalDetailsPhone {
  
  @Alias('phoneNumber', isNullable: false,  )
  final String phoneNumber;
  
  @Alias('isVerified', isNullable: false,  )
  final bool isVerified;
  

  MerchantAccountPersonalDetailsPhone(
      

{
    
     this.phoneNumber = null,  
     this.isVerified = null 
    }
  );

  @override
  String toString() {
    return 'MerchantAccountPersonalDetailsPhone[phoneNumber=$phoneNumber, isVerified=$isVerified, ]';
  }
}

@GenSerializer(nullableFields: true)
class MerchantAccountPersonalDetailsPhoneSerializer extends Serializer<MerchantAccountPersonalDetailsPhone> with _$MerchantAccountPersonalDetailsPhoneSerializer {

}

