import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'modifier_options.jser.dart';

class ModifierOptions {
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('price', isNullable: false,  )
  final num price;
  

  ModifierOptions(
      

{
     this.name = null,  
     this.price = null 
    
    }
  );

  @override
  String toString() {
    return 'ModifierOptions[name=$name, price=$price, ]';
  }
}

@GenSerializer(nullableFields: true)
class ModifierOptionsSerializer extends Serializer<ModifierOptions> with _$ModifierOptionsSerializer {

}

