import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/order_option_ids.dart';

part 'order_modifiers.jser.dart';

class OrderModifiers {
  
  @Alias('modifierId', isNullable: false,  )
  final String modifierId;
  
  @Alias('optionIds', isNullable: false,  )
  final List<OrderOptionIds> optionIds;
  

  OrderModifiers(
      

{
     this.modifierId = null,  
     this.optionIds = const [] 
    
    }
  );

  @override
  String toString() {
    return 'OrderModifiers[modifierId=$modifierId, optionIds=$optionIds, ]';
  }
}

@GenSerializer(nullableFields: true)
class OrderModifiersSerializer extends Serializer<OrderModifiers> with _$OrderModifiersSerializer {

}

