import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'outlet_receipt_settings_outlet_info.jser.dart';

class OutletReceiptSettingsOutletInfo {
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('address', isNullable: false,  )
  final String address;
  
  @Alias('city', isNullable: false,  )
  final String city;
  
  @Alias('state', isNullable: false,  )
  final String state;
  
  @Alias('zip', isNullable: false,  )
  final String zip;
  
  @Alias('phoneNumber', isNullable: false,  )
  final String phoneNumber;
  
  @Alias('note', isNullable: false,  )
  final String note;
  
  @Alias('logoUrl', isNullable: false,  )
  final String logoUrl;
  

  OutletReceiptSettingsOutletInfo(
      

{
    
     this.name = null,  
     this.address = null,  
     this.city = null,  
     this.state = null,  
     this.zip = null,  
     this.phoneNumber = null,  
     this.note = null,  
     this.logoUrl = null 
    }
  );

  @override
  String toString() {
    return 'OutletReceiptSettingsOutletInfo[name=$name, address=$address, city=$city, state=$state, zip=$zip, phoneNumber=$phoneNumber, note=$note, logoUrl=$logoUrl, ]';
  }
}

@GenSerializer(nullableFields: true)
class OutletReceiptSettingsOutletInfoSerializer extends Serializer<OutletReceiptSettingsOutletInfo> with _$OutletReceiptSettingsOutletInfoSerializer {

}

