import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/promo_promo_period_week_day.dart';

import 'package:pointpos_api/model/promo_promo_period_time_range.dart';

import 'package:pointpos_api/model/promo_promo_period_date_range.dart';

part 'promo_promo_period.jser.dart';

class PromoPromoPeriod {
  
  @Alias('dateRange', isNullable: false,  )
  final PromoPromoPeriodDateRange dateRange;
  
  @Alias('timeRange', isNullable: false,  )
  final PromoPromoPeriodTimeRange timeRange;
  
  @Alias('weekDay', isNullable: false,  )
  final PromoPromoPeriodWeekDay weekDay;
  

  PromoPromoPeriod(
      

{
    
     this.dateRange = null,  
     this.timeRange = null,  
     this.weekDay = null 
    }
  );

  @override
  String toString() {
    return 'PromoPromoPeriod[dateRange=$dateRange, timeRange=$timeRange, weekDay=$weekDay, ]';
  }
}

@GenSerializer(nullableFields: true)
class PromoPromoPeriodSerializer extends Serializer<PromoPromoPeriod> with _$PromoPromoPeriodSerializer {

}

