import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/promo_requirement_eligible_items.dart';

import 'package:pointpos_api/model/promo_requirement_eligible_categories.dart';

part 'promo_requirement.jser.dart';

class PromoRequirement {
  
  @Alias('eligibleItems', isNullable: false,  )
  final List<PromoRequirementEligibleItems> eligibleItems;
  
  @Alias('eligibleCategories', isNullable: false,  )
  final List<PromoRequirementEligibleCategories> eligibleCategories;
  

  PromoRequirement(
      

{
    
     this.eligibleItems = const [],  
     this.eligibleCategories = const [] 
    }
  );

  @override
  String toString() {
    return 'PromoRequirement[eligibleItems=$eligibleItems, eligibleCategories=$eligibleCategories, ]';
  }
}

@GenSerializer(nullableFields: true)
class PromoRequirementSerializer extends Serializer<PromoRequirement> with _$PromoRequirementSerializer {

}

