import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'promo_requirement_eligible_items.jser.dart';

class PromoRequirementEligibleItems {
  
  @Alias('itemId', isNullable: false,  )
  final String itemId;
  
  @Alias('qty', isNullable: false,  )
  final num qty;
  
  @Alias('allVariants', isNullable: false,  )
  final bool allVariants;
  
  @Alias('variantIds', isNullable: false,  )
  final List<num> variantIds;
  

  PromoRequirementEligibleItems(
      

{
     this.itemId = null,  
     this.qty = null,  
     this.allVariants = null,  
     this.variantIds = const [] 
    
    }
  );

  @override
  String toString() {
    return 'PromoRequirementEligibleItems[itemId=$itemId, qty=$qty, allVariants=$allVariants, variantIds=$variantIds, ]';
  }
}

@GenSerializer(nullableFields: true)
class PromoRequirementEligibleItemsSerializer extends Serializer<PromoRequirementEligibleItems> with _$PromoRequirementEligibleItemsSerializer {

}

