import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/promo_requirement_eligible_items.dart';

import 'package:pointpos_api/model/promo_reward_discount.dart';

part 'promo_reward.jser.dart';

class PromoReward {
  
  @Alias('freeItems', isNullable: false,  )
  final List<PromoRequirementEligibleItems> freeItems;
  
  @Alias('discount', isNullable: false,  )
  final PromoRewardDiscount discount;
  

  PromoReward(
      

{
    
     this.freeItems = const [],  
     this.discount = null 
    }
  );

  @override
  String toString() {
    return 'PromoReward[freeItems=$freeItems, discount=$discount, ]';
  }
}

@GenSerializer(nullableFields: true)
class PromoRewardSerializer extends Serializer<PromoReward> with _$PromoRewardSerializer {

}

