import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'purchase_order_variants.jser.dart';

class PurchaseOrderVariants {
  
  @Alias('variantId', isNullable: false,  )
  final int variantId;
  
  @Alias('qty', isNullable: false,  )
  final int qty;
  
  @Alias('unitCost', isNullable: false,  )
  final num unitCost;
  
  @Alias('total', isNullable: false,  )
  final num total;
  

  PurchaseOrderVariants(
      

{
     this.variantId = null,  
     this.qty = null,  
     this.unitCost = null,  
     this.total = null 
    
    }
  );

  @override
  String toString() {
    return 'PurchaseOrderVariants[variantId=$variantId, qty=$qty, unitCost=$unitCost, total=$total, ]';
  }
}

@GenSerializer(nullableFields: true)
class PurchaseOrderVariantsSerializer extends Serializer<PurchaseOrderVariants> with _$PurchaseOrderVariantsSerializer {

}

