import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'recipe_ingredients.jser.dart';

class RecipeIngredients {
  
  @Alias('ingredientId', isNullable: false,  )
  final String ingredientId;
  
  @Alias('qty', isNullable: false,  )
  final num qty;
  

  RecipeIngredients(
      

{
     this.ingredientId = null,  
     this.qty = null 
    
    }
  );

  @override
  String toString() {
    return 'RecipeIngredients[ingredientId=$ingredientId, qty=$qty, ]';
  }
}

@GenSerializer(nullableFields: true)
class RecipeIngredientsSerializer extends Serializer<RecipeIngredients> with _$RecipeIngredientsSerializer {

}

