import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'send_receipt.jser.dart';

class SendReceipt {
  
  @Alias('emailAddress', isNullable: false,  )
  final String emailAddress;
  
  @Alias('phoneNumber', isNullable: false,  )
  final String phoneNumber;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  

  SendReceipt(
      

{
     this.emailAddress = null,  
     this.phoneNumber = null,  
     this.createdAt = null,  
     this.createdBy = null 
    
    }
  );

  @override
  String toString() {
    return 'SendReceipt[emailAddress=$emailAddress, phoneNumber=$phoneNumber, createdAt=$createdAt, createdBy=$createdBy, ]';
  }
}

@GenSerializer(nullableFields: true)
class SendReceiptSerializer extends Serializer<SendReceipt> with _$SendReceiptSerializer {

}

