import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'shift_card.jser.dart';

class ShiftCard {
  
  @Alias('cardSales', isNullable: false,  )
  final num cardSales;
  
  @Alias('voided', isNullable: false,  )
  final num voided;
  
  @Alias('expectedCardPayment', isNullable: false,  )
  final num expectedCardPayment;
  

  ShiftCard(
      

{
     this.cardSales = null,  
     this.voided = null,  
     this.expectedCardPayment = null 
    
    }
  );

  @override
  String toString() {
    return 'ShiftCard[cardSales=$cardSales, voided=$voided, expectedCardPayment=$expectedCardPayment, ]';
  }
}

@GenSerializer(nullableFields: true)
class ShiftCardSerializer extends Serializer<ShiftCard> with _$ShiftCardSerializer {

}

