import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'shift_cash.jser.dart';

class ShiftCash {
  
  @Alias('startingCashInDrawer', isNullable: false,  )
  final num startingCashInDrawer;
  
  @Alias('cashSales', isNullable: false,  )
  final num cashSales;
  
  @Alias('cashFromInvoice', isNullable: false,  )
  final num cashFromInvoice;
  
  @Alias('cashRefund', isNullable: false,  )
  final num cashRefund;
  
  @Alias('incomeExpense', isNullable: false,  )
  final num incomeExpense;
  
  @Alias('expectedEndingCash', isNullable: false,  )
  final num expectedEndingCash;
  
  @Alias('difference', isNullable: false,  )
  final num difference;
  

  ShiftCash(
      

{
     this.startingCashInDrawer = null,  
     this.cashSales = null,  
     this.cashFromInvoice = null,  
     this.cashRefund = null,  
     this.incomeExpense = null,  
     this.expectedEndingCash = null,  
     this.difference = null 
    
    }
  );

  @override
  String toString() {
    return 'ShiftCash[startingCashInDrawer=$startingCashInDrawer, cashSales=$cashSales, cashFromInvoice=$cashFromInvoice, cashRefund=$cashRefund, incomeExpense=$incomeExpense, expectedEndingCash=$expectedEndingCash, difference=$difference, ]';
  }
}

@GenSerializer(nullableFields: true)
class ShiftCashSerializer extends Serializer<ShiftCash> with _$ShiftCashSerializer {

}

