import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'shift_sold_items.jser.dart';

class ShiftSoldItems {
  
  @Alias('itemId', isNullable: false,  )
  final String itemId;
  
  @Alias('variantId', isNullable: false,  )
  final num variantId;
  
  @Alias('qty', isNullable: false,  )
  final int qty;
  

  ShiftSoldItems(
      

{
    
     this.itemId = null,   this.variantId = null,  
    
     this.qty = null 
    }
  );

  @override
  String toString() {
    return 'ShiftSoldItems[itemId=$itemId, variantId=$variantId, qty=$qty, ]';
  }
}

@GenSerializer(nullableFields: true)
class ShiftSoldItemsSerializer extends Serializer<ShiftSoldItems> with _$ShiftSoldItemsSerializer {

}

