import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/update_profile.dart';

import 'package:pointpos_api/model/signup_all_of.dart';

part 'signup.jser.dart';

class Signup {
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('phoneNumber', isNullable: false,  )
  final String phoneNumber;
  
  @Alias('username', isNullable: false,  )
  final String username;
  
  @Alias('email', isNullable: false,  )
  final String email;
  
  @Alias('password', isNullable: false,  )
  final String password;
  
  @Alias('referalCode', isNullable: false,  )
  final String referalCode;
  

  Signup(
      

{
    
     this.name = null,  
     this.phoneNumber = null,   this.username = null,  
    
     this.email = null,  
     this.password = null,   this.referalCode = null 
    
    }
  );

  @override
  String toString() {
    return 'Signup[name=$name, phoneNumber=$phoneNumber, username=$username, email=$email, password=$password, referalCode=$referalCode, ]';
  }
}

@GenSerializer(nullableFields: true)
class SignupSerializer extends Serializer<Signup> with _$SignupSerializer {

}

