import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'splash_screen.jser.dart';

class SplashScreen {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('image', isNullable: false,  )
  final String image;
  
  @Alias('title', isNullable: false,  )
  final String title;
  
  @Alias('description', isNullable: false,  )
  final String description;
  
  @Alias('status', isNullable: false,
          
  )
  final String status;
  //enum statusEnum {  draft,  published,  unpublished,  };
  @Alias('orderPosition', isNullable: false,  )
  final int orderPosition;
  
  @Alias('activeSince', isNullable: false,  )
  final DateTime activeSince;
  
  @Alias('activeUntil', isNullable: false,  )
  final DateTime activeUntil;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  

  SplashScreen(
      

{
     this.id = null,  
    
     this.image = null,   this.title = null,  
     this.description = null,  
     this.status = null,  
     this.orderPosition = null,  
     this.activeSince = null,  
     this.activeUntil = null,  
     this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null 
    
    }
  );

  @override
  String toString() {
    return 'SplashScreen[id=$id, image=$image, title=$title, description=$description, status=$status, orderPosition=$orderPosition, activeSince=$activeSince, activeUntil=$activeUntil, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, ]';
  }
}

@GenSerializer(nullableFields: true)
class SplashScreenSerializer extends Serializer<SplashScreen> with _$SplashScreenSerializer {

}

