import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'table_location.jser.dart';

class TableLocation {
  
  @Alias('row', isNullable: false,  )
  final num row;
  
  @Alias('col', isNullable: false,  )
  final num col;
  

  TableLocation(
      

{
    
     this.row = null,  
     this.col = null 
    }
  );

  @override
  String toString() {
    return 'TableLocation[row=$row, col=$col, ]';
  }
}

@GenSerializer(nullableFields: true)
class TableLocationSerializer extends Serializer<TableLocation> with _$TableLocationSerializer {

}

