import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'tax.jser.dart';

class Tax {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('amount', isNullable: false,  )
  final num amount;
  
  @Alias('isPercentage', isNullable: false,  )
  final bool isPercentage;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Tax(
      

{
     this.id = null,  
    
     this.name = null,  
     this.amount = null,  
     this.isPercentage = null,   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Tax[id=$id, name=$name, amount=$amount, isPercentage=$isPercentage, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class TaxSerializer extends Serializer<Tax> with _$TaxSerializer {

}

