import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'update_item_cost_of_goods_sold.jser.dart';

class UpdateItemCostOfGoodsSold {
  
  @Alias('variantId', isNullable: false,  )
  final int variantId;
  
  @Alias('trackCOGS', isNullable: false,  )
  final bool trackCOGS;
  
  @Alias('averageCost', isNullable: false,  )
  final num averageCost;
  

  UpdateItemCostOfGoodsSold(
      

{
     this.variantId = null,  
     this.trackCOGS = null,  
     this.averageCost = null 
    
    }
  );

  @override
  String toString() {
    return 'UpdateItemCostOfGoodsSold[variantId=$variantId, trackCOGS=$trackCOGS, averageCost=$averageCost, ]';
  }
}

@GenSerializer(nullableFields: true)
class UpdateItemCostOfGoodsSoldSerializer extends Serializer<UpdateItemCostOfGoodsSold> with _$UpdateItemCostOfGoodsSoldSerializer {

}

