import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'update_item_price_per_sales_type.jser.dart';

class UpdateItemPricePerSalesType {
  
  @Alias('salesTypeId', isNullable: false,  )
  final String salesTypeId;
  
  @Alias('price', isNullable: false,  )
  final num price;
  

  UpdateItemPricePerSalesType(
      

{
     this.salesTypeId = null,  
     this.price = null 
    
    }
  );

  @override
  String toString() {
    return 'UpdateItemPricePerSalesType[salesTypeId=$salesTypeId, price=$price, ]';
  }
}

@GenSerializer(nullableFields: true)
class UpdateItemPricePerSalesTypeSerializer extends Serializer<UpdateItemPricePerSalesType> with _$UpdateItemPricePerSalesTypeSerializer {

}

