import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/update_item_price_per_sales_type.dart';

part 'update_item_variants.jser.dart';

class UpdateItemVariants {
  
  @Alias('variantId', isNullable: false,  )
  final int variantId;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('sku', isNullable: false,  )
  final String sku;
  
  @Alias('price', isNullable: false,  )
  final num price;
  
  @Alias('applyPricePerSalesType', isNullable: false,  )
  final bool applyPricePerSalesType;
  
  @Alias('pricePerSalesType', isNullable: false,  )
  final List<UpdateItemPricePerSalesType> pricePerSalesType;
  

  UpdateItemVariants(
      

{
     this.variantId = null,  
     this.name = null,  
     this.sku = null,  
     this.price = null,  
     this.applyPricePerSalesType = null,  
     this.pricePerSalesType = const [] 
    
    }
  );

  @override
  String toString() {
    return 'UpdateItemVariants[variantId=$variantId, name=$name, sku=$sku, price=$price, applyPricePerSalesType=$applyPricePerSalesType, pricePerSalesType=$pricePerSalesType, ]';
  }
}

@GenSerializer(nullableFields: true)
class UpdateItemVariantsSerializer extends Serializer<UpdateItemVariants> with _$UpdateItemVariantsSerializer {

}

