import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/exception.dart';

part 'validation_exception.jser.dart';

class ValidationException {
  
  @Alias('code', isNullable: false,  )
  final String code;
  
  @Alias('message', isNullable: false,  )
  final String message;
  

  ValidationException(
      

{
     this.code = null,  
     this.message = null 
    
    }
  );

  @override
  String toString() {
    return 'ValidationException[code=$code, message=$message, ]';
  }
}

@GenSerializer(nullableFields: true)
class ValidationExceptionSerializer extends Serializer<ValidationException> with _$ValidationExceptionSerializer {

}

